Status
Retrieves current status of given user.
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequiredExample:
The unique ID of the resource.
NzAwNTUxOTA5NzczMTQ4MTYwResponses
200
OK
application/json
statusstring · enumOptionalPossible values:
Status of extension:
ONLINEON_CALLOFFLINE
presencestring · enumOptionalPossible values:
The current presence of extension:
DO_NOT_DISTURB:AVAILABLE:AWAY:BUSINESS_TRIP:LUNCH:ON_CALLOFFLINE
presence_notestring · max: 128Optional
The presence note.
enable_dndbooleanOptional
Do Not Disturb enabled or not.
enable_acbbooleanOptional
Automatic Callback enabled or not.
4XX
Error
get/users/{id}/status
GET /api/users/{id}/status HTTP/1.1
Host: HOSTNAME:8887
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"status": "ONLINE",
"presence": "DO_NOT_DISTURB",
"presence_note": "text",
"registration": [
{
"instance_id": "text",
"user_agent": "text",
"application": "text",
"ip": "text",
"enable_push": true,
"contact_address": "text"
}
],
"enable_dnd": true,
"enable_acb": true
}Was this helpful?